Scilab Function

prod - produit des termes d'une matrice

### Calling Sequence

  `y=prod(x)`
  `y=prod(x,'r')`
  `y=prod(x,'c')`

### Parameters

- `x` : vecteur ou matrice (réelle ou complexe)
- `y` : scalaire ou vecteur

### Description

Pour un vecteur ou une matrice `x` , `y=prod(x)` renvoie un scalaire `y` égal au produit des termes de `x` .

`y=prod(x,'r')` (ou `y=prod(x,1)` ) effectue le produit suivant l'indice de ligne. Chaque composante du vecteur ligne `y` contient le produit de la colonne correspondante `x` (`y(j)= prod(x(i,j),i=1,m)` ).

`y=prod(x,'c')` (ou `y=prod(x,12)` ) effectue le produit suivant l'indice de colonne. Chaque composante du vecteur colonne `y` contient le produit de la ligne correspondante de `x` (`y(i)= prod(x(i,j),j=1,n)` )).

### Examples

    A=[1,2;0,100];
    prod(A)
    prod(A,'c')
    prod(A,'r')

### See Also

`cumprod` , `sum` ,